Subject: Fwd: Emilian Mizgan call handling
From: Deeksha Dadu <[email-masked]>
To: "Pritish Nandi (LSM)" <[email-masked]>
Date: Fri, 5 Nov 2021 13:41:34 +0000

Sent from my iPhone

Begin forwarded message:

From: "Heta Nyrhinen (HNYR)" <[email-masked]>
Date: 5 November 2021 at 18:43:56 GMT+5:30
To: Deeksha Dadu <[email-masked]>, Saurabh Dadu <[email-masked]>
Cc: "Sara Aknooni (SRAK)" <[email-masked]>
Subject: Emilian Mizgan call handling

Hi Deeksha and Saurabh,

I listened to two calls handled by Emilian and based on this small review, I would like to remove him from the project with immediate effect. He doesn’t seem fit for this job. I added a few notes below about these calls, but I’m curious to know if anyone has been monitoring his calls until now?

Ticket #183284

  *   Terrible call in all respects. Agent shouted quite loudly at the customer throughout the call.
  *   Customer got irritated as the agent didn’t guide them how to connect SDW with Mitel 6773.
  *   Agent displayed poor product knowledge throughout the call.
  *   Agent asked the customer to install EPOS Connect (this has nothing to do with the setup guidance).
  *   Customer got really frustrated, said that they will return the headset and hung up the call.

Ticket #183304

  *   Agent misunderstood the issue and didn't ask relevant questions.
  *   Agent interrupted the customer.
  *   Agent displayed poor product knowledge throughout the call.
  *   Agent didn't know how to open the Windows audio settings.
  *   After 7,5 minutes agent asked the customer to repeat the headset model name again.
  *   Agent suggested to uninstall EPOS Connect and said we demand that customers do this (this has nothing to do with the reported issue).
  *   Agent had difficulties understanding the customer’s email address.
  *   In the ticket there are no after call notes for 2 phone calls and the agent is suggesting to set Teams as default in EPOS Connect. Again, this has nothing to do with the reported issue.
  *   Subject line: SDW BS 5 EU ,Teams, No sound on B side Teams. But the customer repeated several times that the headset is not recognized in Windows audio settings as the recording device, only as playback device.

Someone else should also take over these tickets and handle them properly.

Venlig hilsen / Best regards
Heta Nyrhinen (HNYR)
Project Manager, Global Support and Service
+45 4470 0148
EPOS Group A/S · Industriparken 27 · DK-2750 Ballerup · Denmark
<https://www.eposaudio.com/en/dk/enterprise/aston-martin-f1?utm_source=mailsignatur&utm_medium=email&utm_campaign=am_f1&utm_content=nn_en_email_aw>
eposaudio.com<https://www.eposaudio.com/> · Follow us here
<https://www.facebook.com/eposenterprise>   <https://twitter.com/eposaudio>    <https://www.linkedin.com/company/eposaudio>    <https://www.instagram.com/eposaudio/>    <https://www.youtube.com/channel/UCKZSbHA_gj3OKwPnKa4cNaA>